Subject: [PATCH V2] drivers: CCI: fix used_mask init in validate_group()

From: [email-masked] (Suzuki K. Poulose)
Date: Thu, 30 Apr 2015 11:55:20 +0100

On 13/04/15 13:41, Will Deacon wrote:
> On Thu, Apr 09, 2015 at 04:36:29PM +0100, Mark Rutland wrote:
>> On Thu, Apr 09, 2015 at 03:57:05PM +0100, Mark Salter wrote:
>>> Currently in validate_group(), there is a static initializer
>>> for fake_pmu.used_mask which is based on CPU_BITS_NONE but
>>> the used_mask array size is based on CCI_PMU_MAX_HW_EVENTS.
>>> CCI_PMU_MAX_HW_EVENTS is not based on NR_CPUS, so CPU_BITS_NONE
>>> is not correct and will cause a build failure if NR_CPUS
>>> is set high enough to make CPU_BITS_NONE larger than used_mask.
>>>
>>> Signed-off-by: Mark Salter <[email-masked]>
>>
>> Reviewed-by: Mark Rutland <[email-masked]>
>>
>> Arnd, Olof, are you happy to take this via arm-soc?
>>
>> My (broken) patch went via Will's tree because of a perf dependency, but
>> other CCI patches have gone via you guys.
>
> Yeah, arm-soc is the best place for this. You should resend to
> arm at kernel.org as a new patch with the relevant acks.
Mark

Could you please send this to arm-soc as suggested by Will, with the 
relevant acks/reviews  ?

Thanks
Suzuki